﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=10
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	Private DateTemplate As B4XDateTemplate
	Private Dialog As B4XDialog
	Private lblDate As B4XView
	Private xui As XUI
	Private lblErgebnis As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("estado")
	DateTemplate.Initialize
	DateTemplate.Date = DateTime.Now
 DateTime.DateFormat="dd.MM.yyyy"
	UpdateLabel
	Dialog.Initialize(Activity)
	Dim cs As CSBuilder
	Dialog.Title = cs.Initialize.Size(24).Append("Seleccionar fecha").PopAll
	SetLightTheme
End Sub

Sub SetLightTheme
	Dialog.TitleBarColor = 0xFFFF7505
	Dialog.TitleBarHeight = 80dip
	Dim TextColor As Int = 0xFF5B5B5B
	Dialog.BackgroundColor = xui.Color_White
	Dialog.ButtonsColor = xui.Color_White
	Dialog.ButtonsTextColor = Dialog.TitleBarColor
	Dialog.BorderColor = xui.Color_Transparent
	DateTemplate.DaysInWeekColor = xui.Color_Black
	DateTemplate.SelectedColor = 0xFF39D7CE
	DateTemplate.HighlightedColor = 0xFF00CEFF
	DateTemplate.DaysInMonthColor = TextColor
	DateTemplate.lblMonth.TextColor = TextColor
	DateTemplate.lblYear.TextColor = TextColor
	DateTemplate.SelectedColor = 0xFFFFA761
	For Each x As B4XView In Array(DateTemplate.btnMonthLeft, DateTemplate.btnMonthRight, DateTemplate.btnYearLeft, DateTemplate.btnYearRight)
		x.Color = xui.Color_Transparent
	Next
End Sub

Sub lblDate_Click
	Wait For (Dialog.ShowTemplate(DateTemplate, "", "", "CANCELAR")) Complete (Result As Int)
	UpdateLabel
End Sub

Sub UpdateLabel
	DateTime.DateFormat="dd.MM.yyyy"
	lblDate.Text = $"Fecha seleccionada: $Date{DateTemplate.Date}"$
	Calculation
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub Calculation
Try

	DateTime.DateFormat="dd.MM.yyyy"
		Dim strgDate As String
		
		strgDate=$"$Date{DateTemplate.Date}"$
		Dim lngDate As Long=DateTime.DateParse(strgDate)
		

	Dim rs As ResultSet
	Private Query As String
	
		Query = "SELECT Data,  Fin   from protocol where Data= ?"
		rs = Starter.SQL1.ExecQuery2(Query, Array As Object(lngDate))
	
	
		rs.Close
	Catch LastException
	'MsgboxAsync ( LastException.Message,"Error"  )
	Log(LastException.Message)
End Try
End Sub
